namespace SafeCampus.System;
[SugarTable("PersonFaces", TableDescription = "人员人脸表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
[IgnoreInitTable]
public class PersonFaces
{
    /// <summary>
    /// 人脸id
    /// </summary>
    [SugarColumn(ColumnDescription = "人脸id", IsPrimaryKey = true)]
    public string FaceId { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    [SugarColumn(ColumnName = "PersonId", ColumnDescription = "人员id", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string PersonId { get; set; }
    /// <summary>
    /// 人脸url
    /// </summary>
    [SugarColumn(ColumnName = "FaceUrl", ColumnDescription = "班级名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string FaceUrl { get; set; }
    /// <summary>
    ///照片来源 该字段由系统使用，用于自动补录底库
    /// </summary>
    [SugarColumn(ColumnName = "Tag", ColumnDescription = "照片来源", IsOnlyIgnoreUpdate = true, ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string Tag { get; set; }
}